/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: TopologyException.java, v 1.1 31 aot 07 11:52:47 lam Exp $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.topology;

/**
 * The topology exception class
 *
 * @author Nicolas SALATGE - eBMWebSourcing
 *
 */
public class TopologyException extends Exception {

    /**
     * The serial UID version
     */
    private static final long serialVersionUID = -6180711836982899526L;

    /**
     * Default constructor
     *
     * @param msg
     *            the msg exception
     */
    public TopologyException(final String msg) {
        super(msg);
    }

    /**
     * Default constructor
     *
     * @param the parent exception
     */
    public TopologyException(final Exception e) {
        super(e);
    }

}
